Package com.databricks.jdbc.api.impl.batch

## Class ImmutableBatchCommand.Builder

- java.lang.Object
- - com.databricks.jdbc.api.impl.batch.ImmutableBatchCommand.Builder

Enclosing class:
  ImmutableBatchCommand

    @NotThreadSafe
    public static final class ImmutableBatchCommand.Builder
    extends Object

Builds instances of type `ImmutableBatchCommand`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

### Method Summary

All Methods Instance Methods Concrete Methods
`ImmutableBatchCommand` `build()` Builds a new `ImmutableBatchCommand`.
`ImmutableBatchCommand.Builder` `from​(BatchCommand instance)` Fill a builder with attribute values from the provided `BatchCommand` instance.
`ImmutableBatchCommand.Builder` `sql​(String sql)` Initializes the value for the `sql` attribute.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### from

    @CanIgnoreReturnValue
    public final ImmutableBatchCommand.Builder from​(BatchCommand instance)

Fill a builder with attribute values from the provided `BatchCommand` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.

Parameters:
  `instance` - The instance from which to copy values
Returns:
  `this` builder for use in a chained invocation

#### sql

    @CanIgnoreReturnValue
    public final ImmutableBatchCommand.Builder sql​(String sql)

Initializes the value for the `sql` attribute.

Parameters:
  `sql` - The value for sql
Returns:
  `this` builder for use in a chained invocation

#### build

    public ImmutableBatchCommand build()

Builds a new `ImmutableBatchCommand`.

Returns:
  An immutable instance of BatchCommand
Throws:
  `IllegalStateException` - if any required attributes are missing